Summary:	StarDict is an international dictionary written for GNOME
Name:		stardict
Version:	2.2.1
Release:	2mdk
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://stardict.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		ftp://download.sourceforge.net/pub/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-2.2.1-gcc-3.3.patch.bz2

BuildRequires:	libgnomeui2-devel >= 2.2.0
BuildRequires:	ImageMagick
BuildRequires:	yelp
BuildRequires:	GConf2
BuildRequires:	scrollkeeper
Requires:	stardict-dictionary
Prereq:		GConf2
Prereq:		scrollkeeper

%description
StarDict is an international dictionary written for the GNOME environment.
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries

%prep
%setup -q
%patch0 -p1 -b .gcc3

%build
%configure2_5x --disable-schemas-install
%make

%install
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} \
	 $RPM_BUILD_ROOT%{_miconsdir}

install -m 0644 pixmaps/stardict.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/stardict.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/stardict.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# menu
install -m 755 -d $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
needs="x11" \
section="Applications/Text tools" \
title="Stardict" \
longtitle="An international dictionary for GNOME" \
icon="%{name}.png" \
startup_notify="yes"
EOF

# own various directories
mkdir -p $RPM_BUILD_ROOT%{_datadir}/stardict/dic	\
	 $RPM_BUILD_ROOT%{_datadir}/stardict/treedict

yelp-pregenerate $RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}/*/%{name}.xml

%find_lang %{name} --with-gnome


%clean
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/idl/*.idl
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_libdir}/bonobo/servers/*.server
%{_mandir}/man?/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule /etc/gconf/schemas/stardict.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule /etc/gconf/schemas/stardict.schemas > /dev/null
fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi


%changelog
* Fri Aug 22 2003 Abel Cheung <maddog@linux.org.hk> 2.2.1-2mdk
- Write summary and description
- Require at least one dictionary (Thanks Funda Wang)
- BuildRequires scrollkeeper

* Mon Aug 04 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.2.1-1mdk
- minor spec fixes
- from Abel Cheung <maddog@linux.org.hk> 2.2.1-1mdk:
	o 2.2.1 (GNOME 2 based)
	o Spec file revamp
	o Remove all obsolete sources and patches
	o Patch0: Spartan fix for gcc >= 3.2 (pre-include libintl.h)
	o don't let c++ headers to do the job)

* Mon Jul 14 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.31-5mdk
- fix gcc-3.3 build (P1)
- compile with $RPM_OPT_FLAGS
- cosmetics

* Tue Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 1.31-4mdk
- BuildRequires: XFree86-devel lesstif-devel

* Thu Aug 22 2002 David BAUDENS <baudens@mandrakesoft.com> 1.31-3mdk
- Fix menu entry

* Tue Jul 23 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.31-2mdk
- General cleanup.

P
* Tue Jul 23 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.31-1mdk
- No suid anymore.

* Mon Oct 22 2001 Andrew Lee <andrew@linux.org.tw>
- Rebuild on Mandrake Linux 8.0
- Requires: lesstif
- Buildrequires: lesstif-devel
- add menu entry

* Wed Aug 29 2001 Chung-Yen Chang <candyz@kandix.idv.tw>
- rebuild in roswell

* Fri Sep  8 2000 Andrew Lee <andrew@linux.org.tw>
- modify cosix's dic package
- update to 1.31
